package com.link.base.autorefresh.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface AutoRefreshCache {
   String invokeClassFullPath();

   String invokeMethodName();

   boolean haveParam() default false;
}
